Convert WikiLove from jQuery UI to OOUI
Open, NormalPublic

Description

I noticed recently someone suggesting to convert an TMH from jQuery UI to OOUI (T89496).

I think it would be easier and safer to first attempt to do that with WikiLove, which is also deployed to MANY pages. And should be easy to convert.

TheDJ created this task.Feb 18 2015, 11:03 AM
TheDJ updated the task description. (Show Details)
TheDJ raised the priority of this task from to Needs Triage.
TheDJ added subscribers: TheDJ, Jdforrester-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 18 2015, 11:03 AM
Ricordisamoa added a subscriber: Ricordisamoa.
gerritbot added a subscriber: gerritbot.

Change 191325 had a related patch set uploaded (by Ricordisamoa):
[WIP] convert to OOjs UI

https://gerrit.wikimedia.org/r/191325

Patch-For-Review

EBernhardson triaged this task as Normal priority.Feb 19 2015, 6:42 PM
EBernhardson added a subscriber: EBernhardson.
Jdforrester-WMF set Security to None.

@Mattflaschen, @Ricordisamoa, given the Gerrit patch, can we remove this from Possible-tech-projects for Outreachy/GSoC? Please do clarify in case I misunderstood.
Thank you!

Ricordisamoa updated the task description. (Show Details)
In T89815#1053301, @NiharikaKohli wrote:

@Mattflaschen, @Ricordisamoa, given the Gerrit patch, can we remove this from Possible-tech-projects for Outreachy/GSoC? Please do clarify in case I misunderstood.
Thank you!

Done.

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMay 25 2015, 9:22 AM
Ricordisamoa removed Ricordisamoa as the assignee of this task.Jun 5 2015, 2:30 PM

I'm tired of running after all those classes/styles.
Just find someone else.

Any Outreachy/GSoC candidate may build freely upon my little patch.

Change 191325 abandoned by Ricordisamoa:
[WIP] convert to OOjs UI

Reason:
T89815#1341392

https://gerrit.wikimedia.org/r/191325

Qgil added a subscriber: Qgil.Sep 23 2015, 9:13 AM

This is a message posted to all tasks under "Backlog" at Possible-Tech-Projects. Outreachy-Round-11 is around the corner. If you want to propose this task as a featured project idea, we need a clear plan with community support, and two mentors willing to support it.

Qgil added a comment.Sep 23 2015, 9:35 AM

This is a message sent to all Possible-Tech-Projects. The new round of Wikimedia Individual Engagement Grants is open until 29 Sep. For the first time, technical projects are within scope, thanks to the feedback received at Wikimania 2015, before, and after (T105414). If someone is interested in obtaining funds to push this task, this might be a good way.

Is the work huge enough for an Outreachy/GSoC slot, or should it go along with couple more from https://phabricator.wikimedia.org/T100270 ?

Mattflaschen-WMF added a comment.EditedOct 26 2015, 7:40 PM

I would lean towards adding at least one more, with the additional one(s) being small-medium. T104298: Convert CentralAuth special pages to use OOUI would be a good one to add, I think.

Sumit added a subscriber: Sumit.Mar 1 2016, 5:37 PM
IMPORTANT: This is a message posted to all tasks under "Need Discussion" at Possible-Tech-Projects. Wikimedia has been accepted as a mentor organization for GSoC '16. If you want to propose this task as a featured project idea, we need a clear plan with community support, and two mentors willing to support it.
Qgil removed a subscriber: Qgil.Mar 2 2016, 10:30 AM
Niharika removed a subscriber: Niharika.Mar 2 2016, 6:59 PM
Ladsgroup added a subscriber: Ladsgroup.
Sumit added a comment.Mar 1 2017, 4:25 AM

If this is still not done, can we have this as one of the microtasks for current GSoC, Outreachy, RGSoC internship round?

TheDJ added a comment.Mar 1 2017, 2:41 PM

@Sumit the task is too small for GSoC, but suitable for smaller programs.

I'd like to mentor this task for Google-Code-in-2017 but it'll need to be broken down. I am thinking of splitting it up the following way:

  1. Get familiar with OOUI, make a form and dialog on an independent project (not in the extension).
  2. Fix each form one-by-one:
    • Barnstar
    • Food/drink
    • Kittens
    • Goats
    • Make your own
  3. Fix the dialog
  4. Other fixes

It'll be best if each of these tasks get done by the same student, but I guess it should be possible for it to be a collective effort too. We'll merge the patches only when the entire thing is converted to OOUI so that we don't have a half-OOUI/half-jQuery interface.

@Aklapper, thoughts?

MtDu added a subscriber: MtDu.Nov 8 2017, 4:16 AM

Interested in learning how to do this and potentially helping mentor this. @Prtksxna

Interested in learning how to do this and potentially helping mentor this. @Prtksxna

Hey @MtDu, I'm happy to get help mentoring :) Have you had a chance to work with OOUI?

@Prtksxna The question is, if this task is doable for a GCI student, which means, that it shouldn't take longer than 2-3 hours for an experienced developer and 2-3 days for a beginner (I don't expect this task to be a beginner task, right?)?

If anyone knowledgeable enough could use T89815#3743426 to edit the task description to break this down into clear, separate steps which fit into GCI task size (see T89815#3760352 ) that would be awesome. We have three more weeks of Google-Code-in-2017.

Prtksxna removed a project: Google-Code-in-2017.EditedJan 3 2018, 5:26 AM

@Florian @Aklapper Now when I think of it, breaking it down, and having different students to work on different panels of the dialog is going to be tricky. I might have let my wish to get this resolved overshadow the practicality of doing this in Google-Code-in-2017. Sorry

That's fine, too! Not all tasks can be done in the GCI contest, that's ok and even not the goal :) Participating in Google Code-in needs to be fun for the student _and_ for the mentor(s), if this can't be achieved with this task, then it's better to resolve it outside of the contest :) Thanks however for proposing the task and taking the time to look into it, how this could be done during GCI :) If you've other tasks that may fit better into the contest frame, feel free to mentor or propose these! :)

srishakatux added a subscriber: srishakatux.EditedJan 11 2018, 10:22 PM

@Prtksxna It looks like this task is a bit too small for GSoC'18 / Outreachy'16 but would you be interested in mentoring this along with another similar feature that needs to be converted to OOJs UI (as Matt points out in T89815#1754684)?

@Prtksxna It looks like this task is a bit too small for GSoC'18 / Outreachy'16 but would you be interested in mentoring this along with another similar feature that needs to be converted to OOUI (as Matt points out in T89815#1754684)?

Yep, that makes sense. We could do this along with T111159: Convert MultimediaViewer to use OOUI instead of MW UI buttons and icons and T104419: Convert Special:MassMessage to use OOUI. I was talking to @matmarex and he'd willing to co-mentor. I am not sure if this work would be fun though.

@Prtksxna thank you for willing to mentor this project! Could you in the next few days or so update the task description to include in it the following sections: project description, skills required, getting started, mentors, micro tasks, etc. For example https://phabricator.wikimedia.org/T111416. I would then include this project on the MW GSoC page. More here on roles, responsibilities of a mentor before, during and after the program: https://www.mediawiki.org/wiki/Google_Summer_of_Code/Mentors :) cc @matmarex

Volker_E renamed this task from Convert WikiLove from jQuery UI to OOjs UI to Convert WikiLove from jQuery UI to OOUI.Mar 30 2018, 5:42 PM
Volker_E updated the task description. (Show Details)

Removing Possible-Tech-Projects as we are planning on killing this tag soon! Too small to meet the criteria of Outreach-Programs-Projects

Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 11 2018, 1:36 AM
JTannerWMF moved this task from Inbox to To Triage on the Growth-Team board.Jul 18 2018, 6:33 PM